> For the complete documentation index, see [llms.txt](https://docs.ston.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ston.fi/developer-section/dex/smart-contracts/v2/lpwallet.md).

# LpWallet (v2)

This is a standard Jetton token wallet for holding liquidity tokens. Only specific modifications for this implementation will be described.

## User message handlers

### `burn` (0x595f07bc)

Burn an amount of liquidity tokens.

#### **TL-B**

```
burn#595f07bc query_id:uint64 amount:Grams response_destination:MsgAddress custom_payload:Maybe ^Cell = InternalMsgBody;
```

#### **Message body**

| Name                   | Type        | Description                                    |
| ---------------------- | ----------- | ---------------------------------------------- |
| `op`                   | `uint32`    | Operation code is equal to `burn`              |
| `query_id`             | `uint64`    | Query id                                       |
| `amount`               | `coins`     | Amount of coins to burn (in basic token units) |
| `response_destination` | `address`   | Address of a user                              |
| `custom_payloads`      | `maybe_ref` | Payloads for token0 and token1                 |

#### **custom\_payloads**

| Name        | Type        | Description                                     |
| ----------- | ----------- | ----------------------------------------------- |
| `payload_0` | `maybe_ref` | Payload used for `amount0`; can be `cross_swap` |
| `payload_1` | `maybe_ref` | Payload used for `amount1`; can be `cross_swap` |

#### **Outgoing messages**

Sends a message with `burn_notification_ext` op code to the router contract with the amount of token burnt.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ston.fi/developer-section/dex/smart-contracts/v2/lpwallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
